tt_message_context_bval(library call)

NAME
tt_message_context_bval — retrieve the byte-array value and length of a message's context

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_context_bval(
Tt_message m,
const char *slotname,
unsigned char **value,
int *len);

DESCRIPTION

The tt_message_context_bval function retrieves the byte-array value and length of a message's context.

If there is no context slot associated with slotname, tt_message_context_bval returns zero in slotname and zero in len.

The m argument is the opaque handle for the message involved in this operation. The slotname argument describes the context of this message. The value argument points to the location to return the value. The len argument is the length of the value in bytes.

RETURN VALUE

Upon successful completion, the tt_message_context_bval function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).